#ifndef XMLREADER_H
#define XMLREADER_H


#include "project.h"

class XMLReader
{
private:
  static bool readRequiredI(int * out, QString * err, QDomElement & e, QStringList names);
  static bool readRequiredF(float * out, QString * err, QDomElement & e, QStringList names);
  static bool readDefaultF(float * out, QString * err, QDomElement & e, QStringList names, float defVal);
  static bool readBorderVelocity(BorderVelocityType * outType, QString * err, QDomElement & e);
  static bool readCrystalMatrix(CrystalMatrixType * outType, QString * err, QDomElement & e);

  static bool readPhysicsCrystalF(ProjectF * prj, QString physicsFileName, QString type, float temperatureF, QString * err, QDomElement & e);
  static bool readPhysicsSubstitutionF(ProjectF * prj, QString physicsFileName, QString type, QString subType, float temperatureF, QString * err, QDomElement & e);

public:
  static QString parseProjectF(ProjectF * prj, QString prjFileName, QString physicsFileName = QString::null);
};

#endif // XMLREADER_H
